Constants (Hyperic HQ Plugin API)
Keywords: org.novadeck.jxla.xml.Constants class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.novadeck.jxla.xml
Class Constants

    java.lang.Object
      org.novadeck.jxla.xml.Constants

    public class Constants

extends java.lang.Object

Defines node name constants of the configuration file

Field Summary
`static java.lang.String` | `LOCALCONFIGCLASS_NODE`
`static java.lang.String` | `LOGFILENAMES_RE`
`static java.lang.String` | `LOGFILES_DIRECTORY`
`static java.lang.String` | `LOGFILES_NODE`
`static java.lang.String` | `LOGLINE`
`static java.lang.String` | `LOGLINE_RE`
`static java.lang.String` | `ROOT`

Constructor Summary
`Constants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ROOT

    public static final java.lang.String ROOT

See Also:
  Constant Field Values

### LOGFILES_NODE

    public static final java.lang.String LOGFILES_NODE

See Also:
  Constant Field Values

### LOGFILES_DIRECTORY

    public static final java.lang.String LOGFILES_DIRECTORY

See Also:
  Constant Field Values

### LOGFILENAMES_RE

    public static final java.lang.String LOGFILENAMES_RE

See Also:
  Constant Field Values

### LOGLINE

    public static final java.lang.String LOGLINE

See Also:
  Constant Field Values

### LOGLINE_RE

    public static final java.lang.String LOGLINE_RE

See Also:
  Constant Field Values

### LOCALCONFIGCLASS_NODE

    public static final java.lang.String LOCALCONFIGCLASS_NODE

See Also:
  Constant Field Values

Constructor Detail

### Constants

    public Constants()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.